
CoCoALib - Slug #952

GCD very slow

25 Oct 2016 23:03 - John Abbott

Status: Closed Start date: 25 Oct 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 0.33 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.20 hour

Description

While testing IsSqFree I observed that CoCoALib is very slow at computing gcd(f,f') where f = (x^2+1)*(x^27-x) in ZZ/(3)[x].

Make it faster!

Related issues:

Related to CoCoALib - Feature #127: Convert DUPFF code to C++ In Progress 05 Apr 2012

Related to CoCoALib - Feature #951: New function: IsSqFree Closed 24 Oct 2016

Related to CoCoA-5 - Slug #480: gcd too slow for large degree univariate poly New 18 Mar 2014

Related to CoCoALib - Feature #257: Transcribe C4 code for GCD in QQ[x] New 09 Oct 2012

Related to CoCoALib - Slug #129: Better GCD New 15 Apr 2012

History

#1 - 25 Oct 2016 23:04 - John Abbott

- Related to Feature #127: Convert DUPFF code to C++ added

#2 - 25 Oct 2016 23:04 - John Abbott

- Related to Feature #951: New function: IsSqFree added

#3 - 24 Nov 2016 13:20 - John Abbott

- Related to Slug #480: gcd too slow for large degree univariate poly added

#4 - 24 Nov 2016 13:23 - John Abbott

- Related to Feature #257: Transcribe C4 code for GCD in QQ[x] added

#5 - 28 Nov 2016 21:51 - John Abbott

- Related to Slug #129: Better GCD added

#6 - 30 Oct 2019 22:39 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99650 November 2019

- % Done changed from 0 to 100

- Estimated time set to 0.33 h

It is no longer very slow; no sure how fast it is (seems to be instant).

Closing.
